<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>New Article</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body>
<div class="container">
    <h1>Add new article</h1>
    <form th:action="@{/handle-add}" th:object="${student}" method="post" enctype="multipart/form-data">
<!--        <div>-->
<!--            <img src= https://www.sylff.org/wp-content/uploads/2016/04/noImage.jpg>-->
<!--        </div>-->
        <div>
            <img src= https://www.sylff.org/wp-content/uploads/2016/04/noImage.jpg id="output" width="200" />
        </div>
        <div class="form-group">
            <label for="exampleInputStudent1">Profile</label>
            <input type="file" onchange="loadFile(event)" name="file" class="form-control" id="exampleInputStudent1" aria-describedby="nameHelp">
        </div>

        <div class="form-group">
            <label for="exampleInputName1">Title</label>
            <input type="name" name="title" class="form-control" id="exampleInputName1" aria-describedby="nameHelp">
            <small id="nameHelp" th:errors="${student.title}" class="form-text text-danger">We'll never share your name with anyone else.</small>
        </div>

        <div class="form-group">
            <label for="exampleInputAddress1">Description</label>
            <input type="text" name="description" class="form-control" id="exampleInputAddress1" aria-describedby="nameHelp">
            <small id="addressHelp" th:errors="${student.description}" class="form-text text-danger">We'll never share your name with anyone else.</small>
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
    </form>
</div>

<script>
    const loadFile = function (event) {
        const image = document.getElementById('output');
        image.src = URL.createObjectURL(event.target.files[0]);
    };
</script>
<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>